#!/usr/bin/env -S node --no-warnings --loader ts-node/esm
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tstest_1 = require("tstest");
const uuid_to_big_int_js_1 = require("./uuid-to-big-int.js");
(0, tstest_1.test)('uuidToBigInt() Nil UUID', async (t) => {
    const uuid = '00000000-0000-0000-0000-000000000000';
    const bigInt = (0, uuid_to_big_int_js_1.uuidToBigInt)(uuid);
    t.equal(bigInt.toString(), '0', 'should get zero for a Nil UUID');
});
(0, tstest_1.test)('uuidToBigInt() Nil UUID', async (t) => {
    const UUID = '00bd7c03-a690-48d3-a1fe-1314574e4fc1';
    const EXPECTED = BigInt('0x00bd7c03a69048d3a1fe1314574e4fc1');
    const bigInt = (0, uuid_to_big_int_js_1.uuidToBigInt)(UUID);
    t.equal(bigInt, EXPECTED, 'should convert UUID right');
});
//# sourceMappingURL=uuid-to-big-int.spec.js.map